Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Caching_Strategy Class Template Reference

This class is an abstract base class for a caching strategy. More...

`#include <Caching_Strategies_T.h>`

Inheritance diagram for ACE_Caching_Strategy

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Caching_Strategy (void)
| Destructor.
virtual ATTRIBUTES | attributes (void) = 0
| Accessor method for the timer attributes.
virtual double | purge_percent (void) = 0
virtual void | purge_percent (double percentage) = 0
virtual int | notify_bind (int result, const ATTRIBUTES &attr) = 0
| This method acts as a notification about the CONTAINERs bind method call.
virtual int | notify_find (int result, ATTRIBUTES &attr) = 0
| This method acts as a notification about the CONTAINERs find method call.
virtual int | notify_unbind (int result, const ATTRIBUTES &attr) = 0
| This method acts as a notification about the CONTAINERs unbind method call.
virtual int | notify_trybind (int result, ATTRIBUTES &attr) = 0
| This method acts as a notification about the CONTAINERs trybind method call.
virtual int | notify_rebind (int result, const ATTRIBUTES &attr) = 0
| This method acts as a notification about the CONTAINERs rebind method call.
virtual CACHING_UTILITY& | caching_utility (void) = 0
| Purge the cache.
virtual void | dump (void) const = 0
| Dumps the state of the object.

## Detailed Description

### template<class ATTRIBUTES, class CACHING_UTILITY> template class ACE_Caching_Strategy

This class is an abstract base class for a caching strategy.

This class consists of all the interfaces a caching strategy should have and is used in association with the ACE_Caching_Strategy_Adaptor.

## Constructor & Destructor Documentation

template<classATTRIBUTES, classCACHING_UTILITY>
ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::~ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY> ( | void )`[inline, virtual]`

| Destructor.

## Member Function Documentation

template<classATTRIBUTES, classCACHING_UTILITY>
ATTRIBUTES ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::attributes ( | void )`[pure virtual]`

| Accessor method for the timer attributes. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
CACHING_UTILITY & ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::caching_utility ( | void )`[pure virtual]`

| Purge the cache. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
void ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::dump ( | void ) const`[pure virtual]`

| Dumps the state of the object. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
int ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::notify_bind ( | int result,
| const ATTRIBUTES & attr )`[pure virtual]`

| This method acts as a notification about the CONTAINERs bind method call. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
int ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::notify_find ( | int result,
| ATTRIBUTES & attr )`[pure virtual]`

| This method acts as a notification about the CONTAINERs find method call. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
int ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::notify_rebind ( | int result,
| const ATTRIBUTES & attr )`[pure virtual]`

| This method acts as a notification about the CONTAINERs rebind method call. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
int ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::notify_trybind ( | int result,
| ATTRIBUTES & attr )`[pure virtual]`

| This method acts as a notification about the CONTAINERs trybind method call. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
int ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::notify_unbind ( | int result,
| const ATTRIBUTES & attr )`[pure virtual]`

| This method acts as a notification about the CONTAINERs unbind method call. Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
virtual void ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::purge_percent ( | double percentage )`[pure virtual]`

| Reimplemented in ACE_Caching_Strategy_Adapter.

template<classATTRIBUTES, classCACHING_UTILITY>
virtual double ACE_Caching_Strategy<ATTRIBUTES, CACHING_UTILITY>::purge_percent ( | void )`[pure virtual]`

| Reimplemented in ACE_Caching_Strategy_Adapter.

The documentation for this class was generated from the following files:

- Caching_Strategies_T.h
- Caching_Strategies_T.cpp